QwtCurveFitter(3)

NAME
QwtCurveFitter - Abstract base class for a curve fitter.

SYNOPSIS

#include <qwt_curve_fitter.h>

Inherited by QwtSplineCurveFitter.

  Public Member Functions
virtual ~QwtCurveFitter ()
virtual QPolygonF fitCurve (const QPolygonF &polygon) const =0

  Protected Member Functions
QwtCurveFitter ()

Detailed Description

Abstract base class for a curve fitter.

Constructor & Destructor Documentation

  QwtCurveFitter::~QwtCurveFitter () [virtual]

Destructor.

  QwtCurveFitter::QwtCurveFitter () [protected]

Constructor.

Member Function Documentation

  virtual QPolygonF QwtCurveFitter::fitCurve (const QPolygonF & polygon) const [pure virtual]

Find a curve which has the best fit to a series of data points

Parameters:
    polygon Series of data points

Returns:
    Curve points

Implemented in QwtSplineCurveFitter.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.